summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-vcs/mercurial-server
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-vcs/mercurial-server')
-rw-r--r--dev-vcs/mercurial-server/Manifest2
-rw-r--r--dev-vcs/mercurial-server/files/mercurial-server-1.1_documentation.patch18
-rw-r--r--dev-vcs/mercurial-server/mercurial-server-1.1.ebuild82
-rw-r--r--dev-vcs/mercurial-server/mercurial-server-1.2.ebuild82
-rw-r--r--dev-vcs/mercurial-server/mercurial-server-9999.ebuild82
-rw-r--r--dev-vcs/mercurial-server/metadata.xml14
6 files changed, 280 insertions, 0 deletions
diff --git a/dev-vcs/mercurial-server/Manifest b/dev-vcs/mercurial-server/Manifest
new file mode 100644
index 00000000..0d9d720
--- /dev/null
+++ b/dev-vcs/mercurial-server/Manifest
@@ -0,0 +1,2 @@
+DIST mercurial-server_1.1.tar.gz 21166 SHA256 34b18275d48397122aed519f91eb3602983ef952597ed807de868b413ead7091 SHA512 af154d21e70a2f4b6027336a57729c8f8c7ba3e9427778c784028f8902b697743a6bcd96336642d65a6e8408d1ebaf428f7851b82807ddf1ce89e58ff92a3022 WHIRLPOOL 86fad7092c3ee8f6c975634d563d00b7cd84cd93196dd6ebaf484158e3e31ea69f02fdc57c274c4b2d156b756d4fe3e22227c0ffb259e0a599f7c1c60f527375
+DIST mercurial-server_1.2.tar.gz 21560 SHA256 c6693bc19d1d8d44593e792af95a402ca112a7fa29efba6b9851bc696b258a91 SHA512 3dec14309fc050fa49ffd5253a491b2d65507ed8da04741ba5247d420701a9f836a1c3ef6924a706671e28bafbe0200af03c817184e303179002419887400ce0 WHIRLPOOL 8f475db3b86169c4eddad7364901e6027f9421c7883d826f122d91f65a2124ea8e875f6f0f35b3ddf339e43bcba304d20837b762966d07077bce5acb87e5a9fe
diff --git a/dev-vcs/mercurial-server/files/mercurial-server-1.1_documentation.patch b/dev-vcs/mercurial-server/files/mercurial-server-1.1_documentation.patch
new file mode 100644
index 00000000..545eb3f
--- /dev/null
+++ b/dev-vcs/mercurial-server/files/mercurial-server-1.1_documentation.patch
@@ -0,0 +1,18 @@
+# HG changeset patch
+# User Rafael G. Martins <rafaelmartins@gentoo.org>
+# Date 1294947033 7200
+# Node ID 43c5177150a58f1e5e778319ec055b767971d0b0
+# Parent 022d2e6bcdde0599465cb7193b836f93154b4c78
+add missing configuration step (hginit) to doc/manual.docbook
+
+diff --git a/doc/manual.docbook b/doc/manual.docbook
+--- a/doc/manual.docbook
++++ b/doc/manual.docbook
+@@ -51,6 +51,7 @@
+ <computeroutput>jay@jeeves:~$ </computeroutput><userinput>ssh-add -L > my-key</userinput>
+ <computeroutput>jay@jeeves:~$ </computeroutput><userinput>sudo mkdir -p /etc/mercurial-server/keys/root/jay</userinput>
+ <computeroutput>jay@jeeves:~$ </computeroutput><userinput>sudo cp my-key /etc/mercurial-server/keys/root/jay/spoon</userinput>
++<computeroutput>jay@jeeves:~$ </computeroutput><userinput>sudo -u hg /usr/share/mercurial-server/init/hginit /usr/share/mercurial-server</userinput>
+ <computeroutput>jay@jeeves:~$ </computeroutput><userinput>sudo -u hg /usr/share/mercurial-server/refresh-auth</userinput>
+ <computeroutput>jay@jeeves:~$ </computeroutput><userinput>exit</userinput>
+ <computeroutput>Connection to jeeves closed.
diff --git a/dev-vcs/mercurial-server/mercurial-server-1.1.ebuild b/dev-vcs/mercurial-server/mercurial-server-1.1.ebuild
new file mode 100644
index 00000000..0c131f4
--- /dev/null
+++ b/dev-vcs/mercurial-server/mercurial-server-1.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+PYTHON_DEPEND="2"
+
+inherit distutils eutils user
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit mercurial
+ EHG_REPO_URI="http://hg.opensource.lshift.net/mercurial-server"
+ KEYWORDS=""
+else
+ MY_P="${PN}_${PV}"
+ SRC_URI="http://dev.lshift.net/paul/mercurial-server/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="Mercurial authentication and authorization tools"
+HOMEPAGE="http://www.lshift.net/mercurial-server.html"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="dev-vcs/mercurial"
+DEPEND="${RDEPEND}
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )"
+
+pkg_setup() {
+ enewgroup hg
+ enewuser hg -1 /bin/bash "/var/lib/${PN}" hg
+}
+
+src_prepare() {
+ # remove useless makefile
+ rm Makefile
+
+ # fix installation paths
+ sed -i -e "s|'init'|'share/${PN}/init'|" setup.py \
+ || die 'sed setup.py failed.'
+
+ # fix documentation
+ if [[ "${PV}" = "1.1" ]]; then
+ epatch "${FILESDIR}/${P}_documentation.patch"
+ fi
+}
+
+src_compile() {
+ distutils_src_compile
+
+ # build documentation
+ if use doc; then
+ xsltproc --nonet -o manual.html \
+ /usr/share/sgml/docbook/xsl-stylesheets/html/docbook.xsl \
+ doc/manual.docbook || die "xsltproc failed"
+ fi
+}
+
+src_install() {
+ distutils_src_install --install-scripts="/usr/share/${PN}"
+
+ # install configuration files
+ insinto "/etc/${PN}"
+ doins -r src/init/conf/*
+ keepdir /etc/mercurial-server/keys/{root,users}
+
+ # install documentation
+ if use doc; then
+ dohtml manual.html
+ fi
+
+ # install hg home directory
+ keepdir "/var/lib/${PN}"
+ fowners hg:hg "/var/lib/${PN}"
+ fperms 750 "/var/lib/${PN}"
+}
diff --git a/dev-vcs/mercurial-server/mercurial-server-1.2.ebuild b/dev-vcs/mercurial-server/mercurial-server-1.2.ebuild
new file mode 100644
index 00000000..6f78f01
--- /dev/null
+++ b/dev-vcs/mercurial-server/mercurial-server-1.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+PYTHON_DEPEND="2"
+
+inherit distutils eutils user
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit mercurial
+ EHG_REPO_URI="http://hg.opensource.lshift.net/mercurial-server"
+ KEYWORDS=""
+else
+ MY_P="${PN}_${PV}"
+ SRC_URI="http://dev.lshift.net/paul/mercurial-server/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${MY_P}.orig"
+fi
+
+DESCRIPTION="Mercurial authentication and authorization tools"
+HOMEPAGE="http://www.lshift.net/mercurial-server.html"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="dev-vcs/mercurial"
+DEPEND="${RDEPEND}
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )"
+
+pkg_setup() {
+ enewgroup hg
+ enewuser hg -1 /bin/bash "/var/lib/${PN}" hg
+}
+
+src_prepare() {
+ # remove useless makefile
+ rm Makefile
+
+ # fix installation paths
+ sed -i -e "s|'init'|'share/${PN}/init'|" setup.py \
+ || die 'sed setup.py failed.'
+
+ # fix documentation
+ if [[ "${PV}" = "1.1" ]]; then
+ epatch "${FILESDIR}/${P}_documentation.patch"
+ fi
+}
+
+src_compile() {
+ distutils_src_compile
+
+ # build documentation
+ if use doc; then
+ xsltproc --nonet -o manual.html \
+ /usr/share/sgml/docbook/xsl-stylesheets/html/docbook.xsl \
+ doc/manual.docbook || die "xsltproc failed"
+ fi
+}
+
+src_install() {
+ distutils_src_install --install-scripts="/usr/share/${PN}"
+
+ # install configuration files
+ insinto "/etc/${PN}"
+ doins -r src/init/conf/*
+ keepdir /etc/mercurial-server/keys/{root,users}
+
+ # install documentation
+ if use doc; then
+ dohtml manual.html
+ fi
+
+ # install hg home directory
+ keepdir "/var/lib/${PN}"
+ fowners hg:hg "/var/lib/${PN}"
+ fperms 750 "/var/lib/${PN}"
+}
diff --git a/dev-vcs/mercurial-server/mercurial-server-9999.ebuild b/dev-vcs/mercurial-server/mercurial-server-9999.ebuild
new file mode 100644
index 00000000..0c131f4
--- /dev/null
+++ b/dev-vcs/mercurial-server/mercurial-server-9999.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+PYTHON_DEPEND="2"
+
+inherit distutils eutils user
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit mercurial
+ EHG_REPO_URI="http://hg.opensource.lshift.net/mercurial-server"
+ KEYWORDS=""
+else
+ MY_P="${PN}_${PV}"
+ SRC_URI="http://dev.lshift.net/paul/mercurial-server/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="Mercurial authentication and authorization tools"
+HOMEPAGE="http://www.lshift.net/mercurial-server.html"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="dev-vcs/mercurial"
+DEPEND="${RDEPEND}
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )"
+
+pkg_setup() {
+ enewgroup hg
+ enewuser hg -1 /bin/bash "/var/lib/${PN}" hg
+}
+
+src_prepare() {
+ # remove useless makefile
+ rm Makefile
+
+ # fix installation paths
+ sed -i -e "s|'init'|'share/${PN}/init'|" setup.py \
+ || die 'sed setup.py failed.'
+
+ # fix documentation
+ if [[ "${PV}" = "1.1" ]]; then
+ epatch "${FILESDIR}/${P}_documentation.patch"
+ fi
+}
+
+src_compile() {
+ distutils_src_compile
+
+ # build documentation
+ if use doc; then
+ xsltproc --nonet -o manual.html \
+ /usr/share/sgml/docbook/xsl-stylesheets/html/docbook.xsl \
+ doc/manual.docbook || die "xsltproc failed"
+ fi
+}
+
+src_install() {
+ distutils_src_install --install-scripts="/usr/share/${PN}"
+
+ # install configuration files
+ insinto "/etc/${PN}"
+ doins -r src/init/conf/*
+ keepdir /etc/mercurial-server/keys/{root,users}
+
+ # install documentation
+ if use doc; then
+ dohtml manual.html
+ fi
+
+ # install hg home directory
+ keepdir "/var/lib/${PN}"
+ fowners hg:hg "/var/lib/${PN}"
+ fperms 750 "/var/lib/${PN}"
+}
diff --git a/dev-vcs/mercurial-server/metadata.xml b/dev-vcs/mercurial-server/metadata.xml
new file mode 100644
index 00000000..2180b69
--- /dev/null
+++ b/dev-vcs/mercurial-server/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>rafaelmartins@gentoo.org</email>
+ <name>Rafael G. Martins</name>
+ </maintainer>
+ <longdescription lang="en">
+ mercurial-server gives your developers remote read/write access to
+ centralized Mercurial repositories using SSH public key authentication; it
+ provides convenient and fine-grained key management and access control.
+ </longdescription>
+</pkgmetadata>
+